# Bulk Deletion

It is possible to delete multiple objects, of a given resource, sending as URL parameters the list of keys:

* DELETE: <mark style="color:blue;">http\://{host}/ws/rest/{Resource name}/delete?key={key 1}\&key={key 2}\&key={key 3}...</mark>

All the objects will be deleted in the same transaction

Furthermore, Bulk Delete supports object resequencing. This is useful in cases where the order of the objects is crucial and has to be precise, but also it's required to delete several objects at once. For instance, BunkerCategories on Vessel are following strict priority order, thus upon deletion, the order should be re-aligned.

Re-sequencing is active ONLY when at least a valid 'resequenceBy' string is passed.

* DELETE:  <mark style="color:blue;">http\://{host}/ws/rest/{ResourceName}/delete?resequenceBy={</mark>*<mark style="color:blue;">sequence field</mark>*<mark style="color:blue;">}\&parentProperty={</mark>*<mark style="color:blue;">parent property</mark>*<mark style="color:blue;">}\&key={key1}\&key={key2}...</mark>
  * *Sequence field* - is a string identifying the 'sequence property'. For example, it would be portCallSequence for ResourceName = PortCall.
  * *Parent property* - Optionally filter by the parent group using a string specifying the parent field. For example, if ResourceName is PortCall, pass the field ownedByVoyage to re-sequence only PortCalls belonging to the same voyage.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.dataloy.com/api-release-8.25/user-guides/enterprise-functionality/bulk-deletion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
